Skip to main content

Get the assembled device config (latest active version, or a specific semver when provided; prefers S3 cache)

GET 

/api/v2/get_config/:configIdentifier/config/device-config/version/:semver

Get the assembled device config (latest active version, or a specific semver when provided; prefers S3 cache)

Request

Path Parameters

    configIdentifier stringrequired

    Config project ID, name, or device ID

    semver string

    Semantic version (e.g. 1.2.0). When omitted, the latest active version is returned.

Responses

Schema

    deviceId stringrequired

    Device ID this config belongs to

    configRevisionId objectrequired

    Revision ID of the device config project used

    semVer object

    Semantic version of the active revision when this config was assembled

    configRef object

    Config release reference (projectId.projectName@semVer) of the active revision

    groups objectrequired

    Assembled config groups keyed by group name

    metaDataTimestamps

    object

    Per-field last-writer ISO-8601 timestamps keyed by group name (mirrors groups) for the writable getapp_metadata and getapp_enrollment fields, used by the agent for LWW.

    property name*

    object

    property name* date-time
    computedAt stringrequired
Loading...